# role_drone_cli

Rôle de déploiement de l'exécutable CLI de drone.io.

## Variables

### drone_cli_url

URL pointant vers l'API de github.com fournissant le lien de téléchargement de l'archive.

<span style="text-decoration: underline">Valeur par défaut:</span> `https://api.github.com/repos/harness/drone-cli/releases/latest`

### drone_cli_architecture

Nécessaire pour télécharger la bonne archive depuis github.com.<br />
Les architectures disponibles sont visibles dans [la liste de release du dépôt](https://github.com/harness/drone-cli/releases).

<span style="text-decoration: underline">Valeur par défaut:</span> `arm64`

### drone_cli_server_url

URL vers le serveur drone.io.

<span style="text-decoration: underline">Valeur par défaut:</span> aucune

### drone_cli_server_token

Clef pour communiquer avec le serveur drone.io.

<span style="text-decoration: underline">Valeur par défaut:</span> aucune

### drone_cli_commands_args

Liste des arguments passés à la commande `drone`.

<span style="text-decoration: underline">Valeur par défaut:</span> aucune

## Exemple d'utilisation

### inventory.yml

```yaml
---

all:
  hosts:
    host1.ykn.local:
```

### host_vars/host1.ykn.local.yml

```yaml
---

drone_cli_architecture: "amd64"
dron
```

### playbook.yml

```yaml
---

- hosts: 'all'
  roles:
    - name: drone_cli
```
